OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000180OMNeT++IDE / result analysispublic2010-06-30 10:522010-07-13 17:17
Reporterkarl_wessel 
Assigned Totomi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target VersionFixed in Version4.2 
Summary0000180: IDE reports failed Assertion when plotting certain line chart
DescriptionWhen trying to plot the line chart from the anf-file contained in the attached tar the IDE reports an failed assertion.
The problem occurs always on my machine as well as my collegues but doesn't seem to occur on every machine.
The attached zip contains the anf file as well as the results needed for that anf file. It further contains the .log file of the workspace with the failed assertion.
Additional InformationThe first lines from the error log:

!SESSION 2010-06-30 11:43:33.078 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_20
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments: -os linux -ws gtk -arch x86

!ENTRY org.omnetpp.main 1 0 2010-06-30 11:43:41.721
!MESSAGE OMNeT++ IDE 4.1.0.100611-4b63c38 started.

!ENTRY org.eclipse.ui 4 0 2010-06-30 11:44:37.456
!MESSAGE Unhandled event loop exception
!STACK 0
org.eclipse.core.runtime.AssertionFailedException: assertion failed:
    at org.eclipse.core.runtime.Assert.isTrue(Assert.java:110)
    at org.eclipse.core.runtime.Assert.isTrue(Assert.java:96)
    at org.omnetpp.common.canvas.ZoomableCachingCanvas$1.toLong(ZoomableCachingCanvas.java:399)
    at org.omnetpp.common.canvas.ZoomableCachingCanvas$1.toCanvasY(ZoomableCachingCanvas.java:385)
    at org.omnetpp.scave.charting.plotter.LinesVectorPlotter.plot(LinesVectorPlotter.java:64)
    at org.omnetpp.scave.charting.LinePlot.draw(LinePlot.java:161)
    at org.omnetpp.scave.charting.VectorChart.doPaintCachableLayer(VectorChart.java:577)
    at org.omnetpp.scave.charting.ChartCanvas.paintCachableLayer(ChartCanvas.java:253)
    at org.omnetpp.common.canvas.CachingCanvas.paint(CachingCanvas.java:247)
    at org.omnetpp.common.canvas.CachingCanvas.paint(CachingCanvas.java:192)
    at org.omnetpp.common.canvas.CachingCanvas$1.paintControl(CachingCanvas.java:70)
    at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:217)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1176)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1200)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1185)
    at org.eclipse.swt.widgets.Control.gtk_expose_event(Control.java:2779)
    at org.eclipse.swt.widgets.Composite.gtk_expose_event(Composite.java:670)
    at org.eclipse.swt.widgets.Canvas.gtk_expose_event(Canvas.java:170)
    at org.eclipse.swt.widgets.Widget.windowProc(Widget.java:1566)
    at org.eclipse.swt.widgets.Control.windowProc(Control.java:4594)
    at org.eclipse.swt.widgets.Display.windowProc(Display.java:4191)
    at org.eclipse.swt.internal.gtk.OS._gtk_main_do_event(Native Method)
    at org.eclipse.swt.internal.gtk.OS.gtk_main_do_event(OS.java:7603)
    at org.eclipse.swt.widgets.Display.eventProc(Display.java:1185)
    at org.eclipse.swt.internal.gtk.OS._g_main_context_iteration(Native Method)
    at org.eclipse.swt.internal.gtk.OS.g_main_context_iteration(OS.java:1860)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3110)
    at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2405)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2369)
    at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2221)
    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:500)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:493)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:113)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:194)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
TagsNo tags attached.
Attached Filesgz file icon BERDistance-plot.tar.gz [^] (715,370 bytes) 2010-06-30 10:52
tgz file icon berdistance-working.tgz [^] (3,922 bytes) 2010-06-30 11:35

- Relationships

-  Notes
(0000321)
jeromerousselot (reporter)
2010-06-30 11:34

I downloaded the archive and reproduced the problem on my system: assertion in the log, and the panel remains empty.
However, using the attached files, the IDE succeeds in plotting the graph and there is no error in the log.

I could not identify the source of the error. Does the attached configuration also work on other systems ?
(0000322)
karl_wessel (reporter)
2010-07-02 11:52

The results attached by Jérôme does also work on my system.
(0000328)
tomi (developer)
2010-07-13 17:17

+-Infinete coordinates were not handled properly by the plot.

- Issue History
Date Modified Username Field Change
2010-06-30 10:52 karl_wessel New Issue
2010-06-30 10:52 karl_wessel File Added: BERDistance-plot.tar.gz
2010-06-30 11:34 jeromerousselot Note Added: 0000321
2010-06-30 11:35 jeromerousselot File Added: berdistance-working.tgz
2010-07-02 11:52 karl_wessel Note Added: 0000322
2010-07-12 13:18 tomi Assigned To => tomi
2010-07-13 17:17 tomi Note Added: 0000328
2010-07-13 17:17 tomi Status new => resolved
2010-07-13 17:17 tomi Fixed in Version => 4.2
2010-07-13 17:17 tomi Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker